%define name ksi
%define version 3.4.1
%define release 2mdk

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Version: %{version}
Summary: Implementation of the Scheme programming language
Name: %{name}
Release: %{release}
License: BSD
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
URL: http://ksi.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %libname

%description
KSI Scheme is an implementation of the Scheme programming language written 
in C. 
It can be used as both a stand-alone interpreter and an extension library. 
However, the documentation is in Russian.

%package -n %libname
Group: Development/Other
License: BSD
Summary: Implementation of the Scheme programming language

%description -n %libname
KSI Scheme is an implementation of the Scheme programming language written 
in C.
It can be used as both a stand-alone interpreter and an extension library.
However, the documentation is in Russian.

%package -n %libname-devel
Group: Development/Other
License: BSD
Summary: Implementation of the Scheme programming language
Requires: %libname = %version
Provides: libksi-devel

%description -n %libname-devel
KSI Scheme is an implementation of the Scheme programming language written 
in C.
It can be used as both a stand-alone interpreter and an extension library.
However, the documentation is in Russian.


%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%configure

make

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/ksi-lang.info.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-1.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-2.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-3.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-4.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-5.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-6.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lang.info-7.bz2 %{_infodir}/dir

/sbin/install-info %{_infodir}/ksi-lib.info.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lib.info-1.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lib.info-2.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/ksi-lib.info-3.bz2 %{_infodir}/dir

/sbin/install-info %{_infodir}/ksi.info.bz2 %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/ksi-lang.info.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-1.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-2.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-3.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-4.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-5.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-6.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lang.info-7.bz2 %{_infodir}/dir
 
/sbin/install-info --delete %{_infodir}/ksi-lib.info.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lib.info-1.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lib.info-2.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/ksi-lib.info-3.bz2 %{_infodir}/dir
 
/sbin/install-info --delete %{_infodir}/ksi.info.bz2 %{_infodir}/dir 

%files -n %name
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_infodir}/*.bz2
%{_datadir}/ksi/*


%files -n %libname
%defattr (-,root,root)
%{_libdir}/ksi/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%{_includedir}/ksi/*
%_libdir/ksi/*.so
%_libdir/ksi/*.a
%_libdir/ksi/*.la

%changelog
* Mon Mar 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.4.1-2mdk
- use mklibname

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3.3-4mdk
- rebuild for new readline

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3.3-3mdk
- split
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3.3-2mdk
- rebuild

* Tue Oct 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.3.3-1mdk
- new in contribs
